## PothosBlocks-0.5.1.tar.gz

=== stream/CMakeLists.txt ===
########################################################################
## Feature registration
########################################################################
cmake_dependent_option(ENABLE_BLOCKS_STREAM "Enable Pothos Blocks.Stream component" ON "ENABLE_BLOCKS;JSON_HPP_INCLUDE_DIR" OFF)
add_feature_info("  Stream" ENABLE_BLOCKS_STREAM "Miscellaneous stream manipulation blocks")
if (NOT ENABLE_BLOCKS_STREAM)
    return()
endif()

########################################################################
# Stream blocks module
########################################################################
include_directories(${JSON_HPP_INCLUDE_DIR})
POTHOS_MODULE_UTIL(
    TARGET StreamBlocks
    SOURCES
        Converter.cpp
        TestConverter.cpp
        Copier.cpp
        Delay.cpp
        TestDelay.cpp
        DynamicRouter.cpp
        Pacer.cpp
        Relabeler.cpp
        LabelStripper.cpp
        Gateway.cpp
        TestGateway.cpp
        Reinterpret.cpp
        RateMonitor.cpp
    DESTINATION blocks
    ENABLE_DOCS
)

=== testers/CMakeLists.txt ===
########################################################################
## Feature registration
########################################################################
cmake_dependent_option(ENABLE_BLOCKS_TESTERS "Enable Pothos Blocks.Testers component" ON "ENABLE_BLOCKS;JSON_HPP_INCLUDE_DIR" OFF)
add_feature_info("  Testers" ENABLE_BLOCKS_TESTERS "Unit test verification support blocks")
if (NOT ENABLE_BLOCKS_TESTERS)
    return()
endif()

########################################################################
# Tester blocks module
########################################################################
include_directories(${JSON_HPP_INCLUDE_DIR})
POTHOS_MODULE_UTIL(
    TARGET TesterBlocks
    SOURCES
        TestUnitTestBlocks.cpp
        TestProxyTopology.cpp
        TestJSONTopology.cpp
        TestSetThreadPool.cpp
        FeederSource.cpp
        CollectorSink.cpp
        BlackHole.cpp
        FiniteRelease.cpp
        InfiniteSource.cpp
        SporadicDropper.cpp
        SporadicLabeler.cpp
        VectorSource.cpp
        MessageGenerator.cpp
    DESTINATION blocks
    ENABLE_DOCS
)

=== debian/changelog ===
pothos-blocks (0.5.1-1) unstable; urgency=low

  * Release 0.5.1 (2018-04-16)

 -- Josh Blum <josh@pothosware.com>  Mon, 16 Apr 2018 20:16:33 -0000

pothos-blocks (0.5.0-1) unstable; urgency=low

  * Release 0.5.0 (2017-12-25)

 -- Josh Blum <josh@pothosware.com>  Mon, 25 Dec 2017 11:26:23 -0000

pothos-blocks (0.4.4-1) unstable; urgency=low

  * Release 0.4.4 (2017-07-24)

 -- Josh Blum <josh@pothosware.com>  Mon, 24 Jul 2017 22:07:21 -0000

pothos-blocks (0.4.3-1) unstable; urgency=low

  * Release 0.4.3 (2017-04-23)

 -- Josh Blum <josh@pothosware.com>  Sun, 23 Apr 2017 20:23:52 -0000

pothos-blocks (0.4.2-1) unstable; urgency=low

  * Release 0.4.2 (2017-01-26)

 -- Josh Blum <josh@pothosware.com>  Thu, 26 Jan 2017 22:07:21 -0800

pothos-blocks (0.4.1-ppa1) unstable; urgency=low

  * Release 0.4.1 (2016-09-25)

 -- Josh Blum <josh@pothosware.com>  Sun, 25 Sep 2016 13:25:48 -0700

pothos-blocks (0.4.0) unstable; urgency=low

  * Release 0.4.0 (2016-08-02)

 -- Josh Blum <josh@pothosware.com>  Tue, 02 Aug 2016 14:13:24 -0700

pothos-blocks (0.3.1) unstable; urgency=low

  * Release 0.3.1 (2016-03-06)

 -- Josh Blum <josh@pothosware.com>  Sun, 06 Mar 2016 11:50:31 -0800

pothos-blocks (0.3.0) unstable; urgency=low

  * Release 0.3.0 (2015-12-16)

 -- Josh Blum <josh@pothosware.com>  Wed, 16 Dec 2015 16:30:45 -0800

=== debian/control ===
Source: pothos-blocks
Section: science
Priority: optional
Maintainer: Josh Blum <josh@pothosware.com>
Build-Depends:
    debhelper (>= 9.0.0),
    cmake (>= 2.8.9),
    libpoco-dev (>= 1.6),
    nlohmann-json-dev,
    libpothos-dev
Standards-Version: 4.1.1
Homepage: https://github.com/pothosware/PothosBlocks/wiki
Vcs-Git: https://github.com/pothosware/PothosBlocks.git
Vcs-Browser: https://github.com/pothosware/PothosBlocks

Package: pothos-modules-blocks
Section: libs
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: pothos0.6-modules-blocks, ${misc:Depends}
Description: core processing blocks - metapackage
 The Pothos data-flow software suite.

Package: pothos0.6-modules-blocks
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: core processing blocks
 The Pothos data-flow software suite.
